using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct miptex_t
	{
		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 16)]
		public byte[] name;

		public uint width;

		public uint height;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
		public uint[] offsets;

		public static int SizeInBytes = Marshal.SizeOf(typeof(miptex_t));
	}
}
